## com.google.gwt.json.client
Class JSONException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.json.client.JSONException

All Implemented Interfaces:
  java.io.Serializable

    public class JSONException

extends java.lang.RuntimeException

An exception that can be thrown when an interaction with a JSON data structure fails.

See Also:
  Serialized Form

Constructor Summary
`JSONException()` Constructs a new JSONException.
`JSONException(java.lang.String message)` Constructs a new JSONException with the specified message.
`JSONException(java.lang.String message, java.lang.Throwable cause)` Constructs a new JSONException with the specified message and cause.
`JSONException(java.lang.Throwable cause)` Constructs a new JSONException with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONException

    public JSONException()

  Constructs a new JSONException.

### JSONException

    public JSONException(java.lang.String message)

  Constructs a new JSONException with the specified message.

### JSONException

    public JSONException(java.lang.String message,
                         java.lang.Throwable cause)

  Constructs a new JSONException with the specified message and cause.

### JSONException

    public JSONException(java.lang.Throwable cause)

  Constructs a new JSONException with the specified cause.